from datetime import datetime, timedelta


def base_datetime_timedelta():
    """
    Gérer des dates avec heure et ajouter des intervalles de temps.

    """
    # Créer deux moments dans le temps
    now: datetime = datetime.now()
    interval: timedelta = timedelta(hours=6)
    in_six_hours: datetime = now + interval
    # Afficher la date du jour, et aussi la formater
    print(f"Dans 6 heures on sera le (formaté) {in_six_hours:%d/%m/%Y %H:%M:%S}")
    # Afficher la représentation texte de l'intervalle
    print(f"L'intervalle de temps est {interval}")


if __name__ == "__main__":
    # Lancer la fonction qui teste des dates
    base_datetime_timedelta()
